#ifndef _EDITEQUIP_H
#define _EDITEQUIP_H

#include <QDialog>


namespace Ui {
class EditEquipment;
}

class EditEquipment : public QDialog
{
    Q_OBJECT

signals:
    void entry_changed();

public:
    explicit EditEquipment(int id, QWidget *parent = 0);
    ~EditEquipment();

private slots:
    void on_saveButton_clicked();
    void on_quitButton_clicked();
    void on_deleteButton_clicked();
    void is_changed();
    void material_changed();

private:
    Ui::EditEquipment *ui;
    int recno, inuse;
    bool textIsChanged = false;

    void WindowTitle();
    void calcBatchVolume();
};

#endif
